Subject: Re: bug#59062: esh-var-test/alias test failures on Ubuntu 22.10

From: Stefan Kangas <[email-masked]>
Date: Sun, 6 Nov 2022 06:53:56 -0800

Jim Porter <[email-masked]> writes:

> This is the relevant bit:
>
>     (ert-test-failed
>       ((should
>         (eshell-match-output regexp))
>        :form
>        (eshell-match-output "Variable `ALIAS' is not settable\n")
>        :value nil :explanation
>        (mismatched-output
>         (command "set ALIAS hello\n")
>         (output "Variable ‘ALIAS’ is not settable\n")
>         (regexp "Variable `ALIAS' is not settable\n"))))
>
> It says the output has curved ‘’ quotes, but the regexp used to match
> the output uses `' quotes. I've never seen that fail locally, though I
> usually run "make -C test check-lisp-eshell". Maybe some setting (or
> other test) is messing with the way `' quotes get printed, which
> confuses the Eshell tests?

This should now be fixed on master (commit 2ea9f69f07), so I'm closing
the bug.